# LocalSourceFile (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.xfer
Interface LocalSourceFile

All Known Implementing Classes:
  FileSystemFile, InMemorySourceFile

    public interface LocalSourceFile

Method Summary
`Iterable<? extends LocalSourceFile>` `getChildren(LocalFileFilter filter)`
`InputStream` `getInputStream()`
`long` `getLastAccessTime()` Returns last access time for the underlying file.
`long` `getLastModifiedTime()` Returns last access time for the underlying file.
`long` `getLength()`
`String` `getName()`
`int` `getPermissions()` Returns the permissions for the underlying file
`boolean` `isDirectory()`
`boolean` `isFile()`
`boolean` `providesAtimeMtime()`

Method Detail

### getName

    String getName()

### getLength

    long getLength()

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### getPermissions

    int getPermissions()
                       throws IOException

  Returns the permissions for the underlying file

  Returns:
    permissions e.g. 0644
  Throws:
    `IOException`

### isFile

    boolean isFile()

### isDirectory

    boolean isDirectory()

### getChildren

    Iterable<? extends LocalSourceFile> getChildren(LocalFileFilter filter)
                                                    throws IOException

  Throws:
    `IOException`

### providesAtimeMtime

    boolean providesAtimeMtime()

### getLastAccessTime

    long getLastAccessTime()
                           throws IOException

  Returns last access time for the underlying file.

  Returns:
    time in seconds since Unix epoch
  Throws:
    `IOException`

### getLastModifiedTime

    long getLastModifiedTime()
                             throws IOException

  Returns last access time for the underlying file.

  Returns:
    time in seconds since Unix epoch
  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.